using System;
using System.Collections.Generic;
using System.Text;
using Model;
using IDDal;
using ImpDDal;
/***********订单操作的业务逻辑层***************************
 * 这里只提供两个操作一个增加一笔新订单,返回当前用户的订单
 * 设计者:王枢昊
 * 设计时间:6月3日
 * ********************************************************/
namespace Business
{
    /// <summary>
    /// 订单的操作类
    /// </summary>
    public class BOrder
    {
        IOrder<Order> orderOp=new ImpOrder();
        /// <summary>
        /// 增加一笔新订单
        /// </summary>
        /// <param name="order">订单对象</param>
        /// <returns>返回订单号</returns>
        public string AddOrder(Order order)
        {
            string guid=String.Empty;
            try
            {
                orderOp.NewOrder(order, out guid);
            }
            catch (Exception ex)
            {
                throw new Exception(ex.Message);
            }
            return guid;
        }
        /// <summary>
        /// 获取当前用户的所有订单列表
        /// </summary>
        /// <param name="createId">当前用户的ID</param>
        /// <returns>订单列表</returns>
        public IList<Order> GetOrder(string createId)
        {
            try
            {
                return orderOp.OrderList(createId);
            }
            catch (Exception ex)
            {
                throw new Exception(ex.Message);
            }
        }
    }
}
